<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Link3 Cisco Phone Provision Portal</title>
    <!-- Bootstrap CSS -->
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
    <style>
        .container {
            max-width: 600px;
            margin-top: 50px;
            margin-bottom: 50px; /* Add padding to the bottom */
        }
        .card {
            padding: 20px;
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="card">
            <div class="card-header bg-primary text-white text-center">
                <h3 class="card-title">Link3 Cisco Phone Provision Portal</h3>
            </div>
            <div class="card-body">
                <form id="provisionForm">
                    <div class="form-group">
                        <label for="name">SIP Username:</label>
                        <input type="text" class="form-control" id="name" name="name" required>
                    </div>
                    <div class="form-group">
                        <label for="authPassword">SIP Password:</label>
                        <input type="text" class="form-control" id="authPassword" name="authPassword" required>
                    </div>
                    <div class="form-group">
                        <label for="MAC">Cisco Phone MAC Address:</label>
                        <input type="text" class="form-control" id="MAC" name="MAC" required>
                    </div>
                    <div class="form-group">
                        <label for="processNodeName">SIP Server IP:</label>
                        <input type="text" class="form-control" id="processNodeName" name="processNodeName" required>
                    </div>
                    <div class="form-group">
                        <label for="ntp">NTP:</label>
                        <input type="text" class="form-control" id="ntp" name="ntp" required>
                    </div>
                    <div class="form-group">
                        <label for="phoneModel">Cisco Phone Model:</label>
                        <select class="form-control" id="phoneModel" name="phoneModel" required>
                            <option value="cp3905">CP3905</option>
			    <option value="cp8811">CP8811</option>
                            <option value="cp8811">CP8841</option>
                            <option value="cp8811">CP8851</option>
							<option value="cp8845">CP8845</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label for="phoneLabel">Phone Label:</label>
                        <input type="text" class="form-control" id="phoneLabel" name="phoneLabel" required>
                    </div>
                    <div class="form-group">
                        <label for="featureLabel">Feature Label:</label>
                        <input type="text" class="form-control" id="featureLabel" name="featureLabel" required>
                    </div>
                    <div class="form-group">
                        <label for="proxy">Proxy:</label>
                        <input type="text" class="form-control" id="proxy" name="proxy" required>
                    </div>
                    <div class="form-group">
                        <label for="displayName">Display Name:</label>
                        <input type="text" class="form-control" id="displayName" name="displayName" required>
                    </div>
                    <div class="form-group">
                        <label for="authName">Auth Name:</label>
                        <input type="text" class="form-control" id="authName" name="authName" required>
                    </div>
                    <div class="form-group">
                        <label for="contact">Contact:</label>
                        <input type="text" class="form-control" id="contact" name="contact" required>
                    </div>
                    <button type="submit" class="btn btn-primary btn-block">Submit</button>
                </form>
            </div>
        </div>
    </div>

    <!-- Bootstrap JS and dependencies -->
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.5.2/dist/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script>
        $(document).ready(function() {
            $('#provisionForm').on('submit', function(event) {
                event.preventDefault(); // Prevent the default form submission

                // Capture the MAC address before sending the AJAX request
                var mac = $('#MAC').val();

                $.ajax({
                    url: 'generate_config.php',
                    type: 'POST',
                    data: $(this).serialize(),
                    success: function(response) {
                        // Log response for debugging
                        console.log(response);

                        // Show success alert with the captured MAC address
                        var successMessage = 'Configuration file SEP' + mac + '.cnf.xml created successfully';

                        // Show success alert
                        $('body').append(`
                            <div class="modal fade" id="successModal" tabindex="-1" role="dialog" aria-labelledby="successModalLabel" aria-hidden="true">
                                <div class="modal-dialog" role="document">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title" id="successModalLabel">Success</h5>
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                            </button>
                                        </div>
                                        <div class="modal-body">
                                            ${successMessage}
                                        </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        `);
                        $('#successModal').modal('show');

                        // Clear the form fields
                        $('#provisionForm')[0].reset();

                        // Reload the page after the modal is closed
                        $('#successModal').on('hidden.bs.modal', function () {
                            location.reload();
                        });
                    }
                });
            });
        });
    </script>
</body>
</html>
