<?php
// Define the path to your configuration templates
define('CONFIG_PATH', '/var/www/html/cisco/config/');
define('OUTPUT_PATH', '/var/www/html/cisco/provision/evercare/');

// Retrieve form data
$name = $_POST['name'];
$authPassword = $_POST['authPassword'];
$mac = $_POST['MAC'];
$processNodeName = $_POST['processNodeName'];
$ntp = $_POST['ntp'];
$phoneModel = $_POST['phoneModel'];
$phoneLabel = $_POST['phoneLabel'];
$featureLabel = $_POST['featureLabel'];
$proxy = $_POST['proxy'];
$displayName = $_POST['displayName'];
$authName = $_POST['authName'];
$contact = $_POST['contact'];

// Load the appropriate template based on the phone model
$templateFile = CONFIG_PATH . $phoneModel . '.txt';
if (!file_exists($templateFile)) {
    die(json_encode(['message' => 'Configuration template not found']));
}
$template = file_get_contents($templateFile);

// Replace placeholders with actual values
$configContent = str_replace(
    ['$name', '$authPassword', '$MAC', '$processNodeName', '$ntp', '$phoneLabel', '$featureLabel', '$proxy', '$displayName', '$authName', '$contact'],
    [$name, $authPassword, $mac, $processNodeName, $ntp, $phoneLabel, $featureLabel, $proxy, $displayName, $authName, $contact],
    $template
);

// Save the new configuration file
$outputFile = OUTPUT_PATH . 'SEP' . $mac . '.cnf.xml';
file_put_contents($outputFile, $configContent);

// Output success message
echo json_encode(['message' => 'Configuration file SEP' . $mac . '.cnf.xml created successfully']);
?>
